# ---------------------------------------------------------------------------
# QUICK.MPS v1.01
# FREEWARE Mystic BBS modification. (C) 1999-2001 Reapern66.
# ---------------------------------------------------------------------------
#   FSCAN is a FREEWARE lightbar message scan MPE module written for
#   use with Mystic BBS version 1.07.
#
#   I ask you to get in touch with me first if you decide
#   to modify the mps and release it.
#
#   You must give credit to me if you decide to modify this mps.
#
#   I can be reached by email: reapern66@mindspring.com
#----------------------------------------------------------------------------
#############################################################################
#----------------------------------------------------------------------------

uses
    user getthisuser
Var
    ANILocation   String,
    MPEpos        Integer,
    StrF          String array (1..6),
    SavedY        Byte,

    Index         Byte,
    GetChar       Char,
    Done          Boolean,
    Selected      Boolean

#==========================================================================#
Procedure Path_Get
Begin
  ANILocation := ParamStr(0)
  MPEpos := Length(ANILocation) - Pos('.', ANILocation) - 5
  ANILocation := Copy(ANILocation, 1, MPEpos)
PEnd

#--------------------------------------------------------------------------#
Procedure Exist_String_File
Begin
  If Not fExist(ANILocation + 'QUICK.STG') then
   #Begin
     WriteLn('')
     Write ('|CR|05FETAL ERROR: |07QUICK.STG File not found')
     Write (' in "' + ANILocation + '"')
     GetChar := Readkey
     Halt
   #End
  EndIf
PEnd

#--------------------------------------------------------------------------#
Procedure Read_String_File

var counter byte

Begin
 fOpen (1, Text, Reset, ANILocation + 'QUICK.STG')
 for Counter := 1 to 6
   fReadLn (1, StrF(counter))
 fend
 fClose (1)
PEnd

#--------------------------------------------------------------------------#
Procedure Display_Header
Begin
  CLS
  dispFile(ANILocation + 'QUICK')
  If IsNoFile Then
     WriteLn('')
     Write ('|CR|05ERROR: |07QUICK.* File not found')
     Write (' in "' + ANILocation + '"')
     GetChar := Readkey
  EndIf
  SavedY := WhereY
Pend

#--------------------------------------------------------------------------#
Procedure Get_Option
Begin
  if     GetChar = 'P' or GetChar = 'M' or
         GetChar = 'H' or GetChar = 'K' and Index = 2
    #Begin
      Write(StrF(5))
      Index := 1
    #End
  elseif GetChar = 'H' or GetChar = 'K' or
         GetChar = 'P' or GetChar = 'M' and Index = 1
    #Begin
      Write(StrF(6))
      Index := 2
    #End
  Endif
Pend

#--------------------------------------------------------------------------#
Procedure Excute_Command
Begin
  if     Index = 1 and GetChar = Chr(13) then 
    #begin
       Write('[' + int2str(SavedY) + ';1H  |15::|07>>> DiGi-l v1.O by pOgue of wOE!mODDING')
       Halt
    #end
  elseif Index = 2 and GetChar = Chr(13) then Done := True
  endif
Pend

#--------------------------------------------------------------------------#
Procedure Get_Input
Begin
  Done := False
  Index := 2
  Stuffkey ('P')
  Repeat
    GetChar := ReadKey
    Get_Option
    Excute_Command
  until Done
  write('[' + int2str(SavedY) + ';1H  ::>>> DiGi-l v1.O by pOgue of wOE!mODDING')
  menucmd ('GO','main')
Pend

###############################
# START of main program block #
###############################
#Begin
  Path_Get
  Exist_String_File
  Read_String_File
  Display_Header

  write(StrF(1) + '|15' + useralias)
  write(StrF(2) + '|15t|07his is the |15' + int2str(usercalls) + ' |07time that you visit this board')
  if not local 
   then write(StrF(3) + '|01[|15yes|01]')
   else write(StrF(3) + '|01[|15no|01]')
  endif
  if graphics = 1 
   then write(StrF(4) + '|01[|15yes|01]')
   else write(StrF(4) + '|01[|15no|01]')
  endif
  Get_Input
#End

